Get Gifts for a Contact by Reference ID
curl --request GET \
--url https://api.virtuoussoftware.com/api/Gift/ByReference/{referenceId} \
--header 'Authorization: Bearer <token>'{
"list": [
{
"giftDesignations": [
{
"id": "<integer>",
"projectId": "<integer>",
"project": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"projectType": "<string>",
"projectLocation": "<string>",
"projectUrl": "<string>",
"amountDesignated": "<double>",
"display": "<string>"
},
{
"id": "<integer>",
"projectId": "<integer>",
"project": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"projectType": "<string>",
"projectLocation": "<string>",
"projectUrl": "<string>",
"amountDesignated": "<double>",
"display": "<string>"
}
],
"id": "<integer>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"giftType": "<string>",
"giftDate": "<string>",
"amount": "<string>",
"segment": "<string>",
"batch": "<string>",
"giftUrl": "<string>",
"culture": "<string>",
"exchangeRate": "<double>"
},
{
"giftDesignations": [
{
"id": "<integer>",
"projectId": "<integer>",
"project": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"projectType": "<string>",
"projectLocation": "<string>",
"projectUrl": "<string>",
"amountDesignated": "<double>",
"display": "<string>"
},
{
"id": "<integer>",
"projectId": "<integer>",
"project": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"projectType": "<string>",
"projectLocation": "<string>",
"projectUrl": "<string>",
"amountDesignated": "<double>",
"display": "<string>"
}
],
"id": "<integer>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"giftType": "<string>",
"giftDate": "<string>",
"amount": "<string>",
"segment": "<string>",
"batch": "<string>",
"giftUrl": "<string>",
"culture": "<string>",
"exchangeRate": "<double>"
}
],
"total": "<integer>"
}How to Get Gifts
Get Gifts for a Contact by Reference ID
HMAC Auth only.
GET
/
api
/
Gift
/
ByReference
/
{referenceId}
Get Gifts for a Contact by Reference ID
curl --request GET \
--url https://api.virtuoussoftware.com/api/Gift/ByReference/{referenceId} \
--header 'Authorization: Bearer <token>'{
"list": [
{
"giftDesignations": [
{
"id": "<integer>",
"projectId": "<integer>",
"project": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"projectType": "<string>",
"projectLocation": "<string>",
"projectUrl": "<string>",
"amountDesignated": "<double>",
"display": "<string>"
},
{
"id": "<integer>",
"projectId": "<integer>",
"project": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"projectType": "<string>",
"projectLocation": "<string>",
"projectUrl": "<string>",
"amountDesignated": "<double>",
"display": "<string>"
}
],
"id": "<integer>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"giftType": "<string>",
"giftDate": "<string>",
"amount": "<string>",
"segment": "<string>",
"batch": "<string>",
"giftUrl": "<string>",
"culture": "<string>",
"exchangeRate": "<double>"
},
{
"giftDesignations": [
{
"id": "<integer>",
"projectId": "<integer>",
"project": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"projectType": "<string>",
"projectLocation": "<string>",
"projectUrl": "<string>",
"amountDesignated": "<double>",
"display": "<string>"
},
{
"id": "<integer>",
"projectId": "<integer>",
"project": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"projectType": "<string>",
"projectLocation": "<string>",
"projectUrl": "<string>",
"amountDesignated": "<double>",
"display": "<string>"
}
],
"id": "<integer>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"giftType": "<string>",
"giftDate": "<string>",
"amount": "<string>",
"segment": "<string>",
"batch": "<string>",
"giftUrl": "<string>",
"culture": "<string>",
"exchangeRate": "<double>"
}
],
"total": "<integer>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The contact identifier.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
if set to true [exclude reference originated gifts].
Last modified on April 24, 2026
Was this page helpful?
⌘I